Package org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSClientBundle_$bundle

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQJMSClientBundle_$bundle

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJMSClientBundle`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-12-14T22:58:01-0500")
      public class ActiveMQJMSClientBundle_$bundle
      extends java.lang.Object
      implements ActiveMQJMSClientBundle, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJMSClientBundle_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.client.ActiveMQJMSClientBundle

      `BUNDLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ActiveMQJMSClientBundle_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.jms.IllegalStateException` | `callingMethodFromCompletionListener()` |
    `protected java.lang.String` | `callingMethodFromCompletionListener$str()` |
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromCompletionListenerRuntime()` |
    `protected java.lang.String` | `callingMethodFromCompletionListenerRuntime$str()` |
    `javax.jms.IllegalStateException` | `callingMethodFromListener()` |
    `protected java.lang.String` | `callingMethodFromListener$str()` |
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromListenerRuntime()` |
    `protected java.lang.String` | `callingMethodFromListenerRuntime$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQNonExistentQueueException` | `destinationDoesNotExist​(org.apache.activemq.artemis.api.core.SimpleString destination)` |
    `protected java.lang.String` | `destinationDoesNotExist$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `javax.jms.JMSException` | `illegalDeliveryMode​(int deliveryMode)` |
    `protected java.lang.String` | `illegalDeliveryMode$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQInvalidFilterExpressionException` | `invalidFilter​(java.lang.Throwable e, org.apache.activemq.artemis.api.core.SimpleString filter)` |
    `protected java.lang.String` | `invalidFilter$str()` |
    `javax.jms.JMSRuntimeException` | `invalidJavaIdentifier​(java.lang.String propertyName)` |
    `protected java.lang.String` | `invalidJavaIdentifier$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `invalidSubscriptionName()` |
    `protected java.lang.String` | `invalidSubscriptionName$str()` |
    `javax.jms.MessageNotReadableException` | `messageNotReadable()` |
    `protected java.lang.String` | `messageNotReadable$str()` |
    `javax.jms.MessageNotWriteableException` | `messageNotWritable()` |
    `protected java.lang.String` | `messageNotWritable$str()` |
    `java.lang.IllegalArgumentException` | `nameCannotBeEmpty()` |
    `protected java.lang.String` | `nameCannotBeEmpty$str()` |
    `java.lang.IllegalArgumentException` | `nameCannotBeNull()` |
    `protected java.lang.String` | `nameCannotBeNull$str()` |
    `java.lang.IllegalArgumentException` | `nullArgumentNotAllowed​(java.lang.String type)` |
    `protected java.lang.String` | `nullArgumentNotAllowed$str()` |
    `javax.jms.InvalidDestinationException` | `nullTopic()` |
    `protected java.lang.String` | `nullTopic$str()` |
    `javax.jms.IllegalStateException` | `onlyValidForByteOrStreamMessages()` |
    `protected java.lang.String` | `onlyValidForByteOrStreamMessages$str()` |
    `protected java.lang.Object` | `readResolve()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ActiveMQJMSClientBundle_$bundle INSTANCE

  - ### Constructor Detail

    - #### ActiveMQJMSClientBundle_$bundle

          protected ActiveMQJMSClientBundle_$bundle()

  - ### Method Detail

    - #### readResolve

          protected java.lang.Object readResolve()

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### invalidFilter$str

          protected java.lang.String invalidFilter$str()

    - #### invalidFilter

          public final org.apache.activemq.artemis.api.core.ActiveMQInvalidFilterExpressionException invalidFilter​(java.lang.Throwable e,
                                                                                                                   org.apache.activemq.artemis.api.core.SimpleString filter)

      Specified by:
        `invalidFilter` in interface `ActiveMQJMSClientBundle`

    - #### invalidSubscriptionName$str

          protected java.lang.String invalidSubscriptionName$str()

    - #### invalidSubscriptionName

          public final org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException invalidSubscriptionName()

      Specified by:
        `invalidSubscriptionName` in interface `ActiveMQJMSClientBundle`

    - #### destinationDoesNotExist$str

          protected java.lang.String destinationDoesNotExist$str()

    - #### destinationDoesNotExist

          public final org.apache.activemq.artemis.api.core.ActiveMQNonExistentQueueException destinationDoesNotExist​(org.apache.activemq.artemis.api.core.SimpleString destination)

      Specified by:
        `destinationDoesNotExist` in interface `ActiveMQJMSClientBundle`

    - #### nameCannotBeNull$str

          protected java.lang.String nameCannotBeNull$str()

    - #### nameCannotBeNull

          public final java.lang.IllegalArgumentException nameCannotBeNull()

      Specified by:
        `nameCannotBeNull` in interface `ActiveMQJMSClientBundle`

    - #### nameCannotBeEmpty$str

          protected java.lang.String nameCannotBeEmpty$str()

    - #### nameCannotBeEmpty

          public final java.lang.IllegalArgumentException nameCannotBeEmpty()

      Specified by:
        `nameCannotBeEmpty` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromListenerRuntime$str

          protected java.lang.String callingMethodFromListenerRuntime$str()

    - #### callingMethodFromListenerRuntime

          public final javax.jms.IllegalStateRuntimeException callingMethodFromListenerRuntime()

      Specified by:
        `callingMethodFromListenerRuntime` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromListener$str

          protected java.lang.String callingMethodFromListener$str()

    - #### callingMethodFromListener

          public final javax.jms.IllegalStateException callingMethodFromListener()

      Specified by:
        `callingMethodFromListener` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromCompletionListenerRuntime$str

          protected java.lang.String callingMethodFromCompletionListenerRuntime$str()

    - #### callingMethodFromCompletionListenerRuntime

          public final javax.jms.IllegalStateRuntimeException callingMethodFromCompletionListenerRuntime()

      Specified by:
        `callingMethodFromCompletionListenerRuntime` in interface `ActiveMQJMSClientBundle`

    - #### callingMethodFromCompletionListener$str

          protected java.lang.String callingMethodFromCompletionListener$str()

    - #### callingMethodFromCompletionListener

          public final javax.jms.IllegalStateException callingMethodFromCompletionListener()

      Specified by:
        `callingMethodFromCompletionListener` in interface `ActiveMQJMSClientBundle`

    - #### nullArgumentNotAllowed$str

          protected java.lang.String nullArgumentNotAllowed$str()

    - #### nullArgumentNotAllowed

          public final java.lang.IllegalArgumentException nullArgumentNotAllowed​(java.lang.String type)

      Specified by:
        `nullArgumentNotAllowed` in interface `ActiveMQJMSClientBundle`

    - #### nullTopic$str

          protected java.lang.String nullTopic$str()

    - #### nullTopic

          public final javax.jms.InvalidDestinationException nullTopic()

      Specified by:
        `nullTopic` in interface `ActiveMQJMSClientBundle`

    - #### onlyValidForByteOrStreamMessages$str

          protected java.lang.String onlyValidForByteOrStreamMessages$str()

    - #### onlyValidForByteOrStreamMessages

          public final javax.jms.IllegalStateException onlyValidForByteOrStreamMessages()

      Specified by:
        `onlyValidForByteOrStreamMessages` in interface `ActiveMQJMSClientBundle`

    - #### invalidJavaIdentifier$str

          protected java.lang.String invalidJavaIdentifier$str()

    - #### invalidJavaIdentifier

          public final javax.jms.JMSRuntimeException invalidJavaIdentifier​(java.lang.String propertyName)

      Specified by:
        `invalidJavaIdentifier` in interface `ActiveMQJMSClientBundle`

    - #### messageNotWritable$str

          protected java.lang.String messageNotWritable$str()

    - #### messageNotWritable

          public final javax.jms.MessageNotWriteableException messageNotWritable()

      Specified by:
        `messageNotWritable` in interface `ActiveMQJMSClientBundle`

    - #### messageNotReadable$str

          protected java.lang.String messageNotReadable$str()

    - #### messageNotReadable

          public final javax.jms.MessageNotReadableException messageNotReadable()

      Specified by:
        `messageNotReadable` in interface `ActiveMQJMSClientBundle`

    - #### illegalDeliveryMode$str

          protected java.lang.String illegalDeliveryMode$str()

    - #### illegalDeliveryMode

          public final javax.jms.JMSException illegalDeliveryMode​(int deliveryMode)

      Specified by:
        `illegalDeliveryMode` in interface `ActiveMQJMSClientBundle`